ParameterInfo (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.modeler.ParameterInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.modeler
Class ParameterInfo

    java.lang.Object
      org.apache.tomcat.util.modeler.FeatureInfo
          org.apache.tomcat.util.modeler.ParameterInfo

All Implemented Interfaces:
  java.io.Serializable

    public class ParameterInfo

extends FeatureInfo
implements java.io.Serializable

Internal configuration information for a `Parameter` descriptor.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.modeler.FeatureInfo
`description, info, name, type`

Constructor Summary
`ParameterInfo()` Standard zero-arguments constructor.

Method Summary
`javax.management.MBeanParameterInfo` | `createParameterInfo()` Create and return a `MBeanParameterInfo` object that corresponds to the parameter described by this instance.

Methods inherited from class org.apache.tomcat.util.modeler.FeatureInfo
`getDescription, getName, getType, setDescription, setName, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterInfo

    public ParameterInfo()

  Standard zero-arguments constructor.

Method Detail

### createParameterInfo

    public javax.management.MBeanParameterInfo createParameterInfo()

  Create and return a `MBeanParameterInfo` object that corresponds to the parameter described by this instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.